unit uAbout;

interface

uses
  Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  ShellAPI,
  Buttons, ExtCtrls,
  uCtDBD;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    Comments: TLabel;
    OKButton: TButton;
    Label1: TLabel;
    procedure CommentsClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}

procedure TAboutBox.CommentsClick(Sender: TObject);
var
  TempURL: String;
begin
  TempURL := (Sender as TLabel).Caption;
  ShellExecute(GetDesktopWindow(), 'open', PChar(TempURL), nil, nil, SW_SHOWNORMAL);
end;

procedure TAboutBox.FormShow(Sender: TObject);
begin
  SetAutoSize(Self, TRUE);
end;

end.
 
